Skip to content

Traces

traces


GET /api/v1/traces/

List Traces

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
end query No
limit query integer 100 No
offset query integer 0 No
refreshed-token header No
sport query array No
start query No
tags query array No
token cookie string No

Responses

[
    {
        "tags": [
            "string"
        ],
        "id": "string",
        "test_id": null,
        "timestamp": "2022-04-13T15:42:05.901Z",
        "lactate": null,
        "rpe": null,
        "notes": null,
        "power": null,
        "speed": null,
        "heart_rate": null,
        "vo2": null,
        "lap": null,
        "activity": null,
        "test": null,
        "test_match": null,
        "sport": null,
        "app_metadata": null,
        "timestamp_local": "2022-04-13T15:42:05.901Z"
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/TraceDetails"
    },
    "title": "Response List Traces Api V1 Traces  Get"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/traces/

Create Trace

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
token cookie string No

Request body

{
    "timestamp": "2022-04-13T15:42:05.901Z",
    "test_id": null,
    "lactate": null,
    "rpe": null,
    "notes": null,
    "power": null,
    "speed": null,
    "heart_rate": null,
    "vo2": null,
    "tags": [
        "string"
    ],
    "sport": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "timestamp": {
            "type": "string",
            "format": "date-time",
            "title": "Timestamp"
        },
        "test_id": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Test Id"
        },
        "lactate": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "number"
                }
            ],
            "title": "Lactate"
        },
        "rpe": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "integer"
                }
            ],
            "title": "Rpe"
        },
        "notes": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "string"
                }
            ],
            "title": "Notes"
        },
        "power": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "integer",
                    "minimum": 0.0
                }
            ],
            "title": "Power"
        },
        "speed": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "number",
                    "minimum": 0.0
                }
            ],
            "title": "Speed"
        },
        "heart_rate": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "integer",
                    "minimum": 0.0
                }
            ],
            "title": "Heart Rate"
        },
        "vo2": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "number",
                    "minimum": 0.0
                }
            ],
            "title": "Vo2"
        },
        "tags": {
            "items": {
                "type": "string"
            },
            "type": "array",
            "title": "Tags"
        },
        "sport": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/Sport"
                },
                {
                    "type": "null"
                }
            ]
        }
    },
    "type": "object",
    "required": [
        "timestamp"
    ],
    "title": "TraceCreateOrUpdate"
}

Responses

Schema of the response body

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/traces/{trace_id}

Get Trace

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
token cookie string No
trace_id path string No

Responses

{
    "tags": [
        "string"
    ],
    "id": "string",
    "test_id": null,
    "timestamp": "2022-04-13T15:42:05.901Z",
    "lactate": null,
    "rpe": null,
    "notes": null,
    "power": null,
    "speed": null,
    "heart_rate": null,
    "vo2": null,
    "lap": null,
    "activity": null,
    "test": null,
    "test_match": null,
    "sport": null,
    "app_metadata": null,
    "timestamp_local": "2022-04-13T15:42:05.901Z"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "type": "string"
            },
            "type": "array",
            "title": "Tags"
        },
        "id": {
            "type": "string",
            "title": "Id"
        },
        "test_id": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Test Id"
        },
        "timestamp": {
            "type": "string",
            "format": "date-time",
            "title": "Timestamp"
        },
        "lactate": {
            "anyOf": [
                {
                    "type": "number"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Lactate"
        },
        "rpe": {
            "anyOf": [
                {
                    "type": "integer"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Rpe"
        },
        "notes": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Notes"
        },
        "power": {
            "anyOf": [
                {
                    "type": "integer",
                    "minimum": 0.0
                },
                {
                    "type": "null"
                }
            ],
            "title": "Power"
        },
        "speed": {
            "anyOf": [
                {
                    "type": "number",
                    "minimum": 0.0
                },
                {
                    "type": "null"
                }
            ],
            "title": "Speed"
        },
        "heart_rate": {
            "anyOf": [
                {
                    "type": "integer",
                    "minimum": 0.0
                },
                {
                    "type": "null"
                }
            ],
            "title": "Heart Rate"
        },
        "vo2": {
            "anyOf": [
                {
                    "type": "number",
                    "minimum": 0.0
                },
                {
                    "type": "null"
                }
            ],
            "title": "Vo2"
        },
        "lap": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/Lap"
                },
                {
                    "type": "null"
                }
            ]
        },
        "activity": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/ActivitySummary"
                },
                {
                    "type": "null"
                }
            ]
        },
        "test": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/TestSummary"
                },
                {
                    "type": "null"
                }
            ]
        },
        "test_match": {
            "anyOf": [
                {
                    "type": "string",
                    "enum": [
                        "explicit",
                        "window"
                    ]
                },
                {
                    "type": "null"
                }
            ],
            "title": "Test Match"
        },
        "sport": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/Sport"
                },
                {
                    "type": "null"
                }
            ]
        },
        "app_metadata": {
            "anyOf": [
                {
                    "additionalProperties": true,
                    "type": "object"
                },
                {
                    "type": "null"
                }
            ],
            "title": "App Metadata"
        },
        "timestamp_local": {
            "type": "string",
            "format": "date-time",
            "title": "Timestamp Local",
            "readOnly": true
        }
    },
    "type": "object",
    "required": [
        "id",
        "timestamp",
        "timestamp_local"
    ],
    "title": "TraceDetails"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PUT /api/v1/traces/{trace_id}

Update Trace

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
token cookie string No
trace_id path string No

Request body

{
    "timestamp": "2022-04-13T15:42:05.901Z",
    "test_id": null,
    "lactate": null,
    "rpe": null,
    "notes": null,
    "power": null,
    "speed": null,
    "heart_rate": null,
    "vo2": null,
    "tags": [
        "string"
    ],
    "sport": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "timestamp": {
            "type": "string",
            "format": "date-time",
            "title": "Timestamp"
        },
        "test_id": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Test Id"
        },
        "lactate": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "number"
                }
            ],
            "title": "Lactate"
        },
        "rpe": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "integer"
                }
            ],
            "title": "Rpe"
        },
        "notes": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "string"
                }
            ],
            "title": "Notes"
        },
        "power": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "integer",
                    "minimum": 0.0
                }
            ],
            "title": "Power"
        },
        "speed": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "number",
                    "minimum": 0.0
                }
            ],
            "title": "Speed"
        },
        "heart_rate": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "integer",
                    "minimum": 0.0
                }
            ],
            "title": "Heart Rate"
        },
        "vo2": {
            "anyOf": [
                {
                    "type": "null"
                },
                {
                    "type": "number",
                    "minimum": 0.0
                }
            ],
            "title": "Vo2"
        },
        "tags": {
            "items": {
                "type": "string"
            },
            "type": "array",
            "title": "Tags"
        },
        "sport": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/Sport"
                },
                {
                    "type": "null"
                }
            ]
        }
    },
    "type": "object",
    "required": [
        "timestamp"
    ],
    "title": "TraceCreateOrUpdate"
}

Responses

Schema of the response body

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/traces/{trace_id}

Delete Trace

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
token cookie string No
trace_id path string No

Responses

Schema of the response body

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PUT /api/v1/traces/{trace_id}/app-metadata

Put Trace Metadata

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
token cookie string No
trace_id path string No

Request body

Schema of the request body
{
    "type": "object",
    "additionalProperties": true,
    "title": "Data"
}

Responses

Schema of the response body

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/traces/{trace_id}/app-metadata

Delete Trace Metadata

Input parameters

Parameter In Type Default Nullable Description
HTTPBearer header string N/A No JWT Bearer token
refreshed-token header No
token cookie string No
trace_id path string No

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

ActivitySummary

Name Type Description
app_metadata
duration string(duration)
end string(date-time)
end_local string(date-time)
id string
laps
metrics Array<Metric>
source_id string
sport Sport
start string(date-time)
start_local string(date-time)
summary
tags Array<string>
traces

ActivitySummarySummary

Name Type Description
altitude
cadence
core_temperature
distance
heart_rate
power
smo2
speed
temperature

AltitudeSummary

Name Type Description
gain
loss
max
mean
min

CadenceSummary

Name Type Description
max
mean

CoreTemperatureSummary

Name Type Description
end
max
mean
min
start

DistanceSummary

Name Type Description
sum

HeartRateSummary

Name Type Description
end
max
mean
min
start

HTTPValidationError

Name Type Description
detail Array<ValidationError>

Lap

Name Type Description
altitude
cadence
core_temperature
distance
duration string(duration)
end string(date-time)
end_local string(date-time)
heart_rate
power
smo2
speed
start string(date-time)
start_local string(date-time)
temperature

Marker

Name Type Description
heart_rate
lactate
power
speed
vo2

Metric

Type: string

PowerSummary

Name Type Description
max
mean

Smo2Summary

Name Type Description
end
max
mean
min
start

SpeedSummary

Name Type Description
max
mean

Sport

Type: string

TemperatureSummary

Name Type Description
end
max
mean
min
start

TestResults

Name Type Description
critical_power
critical_speed
d_prime
economy
efficiency
fatmax
first_threshold
heart_rate_max
lt1
lt2
mlss
second_threshold
vlamax
vo2max
vo2peak
vt1
vt2
w_prime

TestSummary

Name Type Description
app_metadata
created_by
end
end_local
id string
results
sport Sport
start string(date-time)
start_local string(date-time)
tags Array<string>
title

TraceCreateOrUpdate

Name Type Description
heart_rate
lactate
notes
power
rpe
speed
sport
tags Array<string>
test_id
timestamp string(date-time)
vo2

TraceDetails

Name Type Description
activity
app_metadata
heart_rate
id string
lactate
lap
notes
power
rpe
speed
sport
tags Array<string>
test
test_id
test_match
timestamp string(date-time)
timestamp_local string(date-time)
vo2

ValidationError

Name Type Description
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
HTTPBearer http bearer
HTTPBasic http basic